import greenfoot.*;
import java.awt.Color;
import java.awt.Font;

/**
 * Write a description of class Trash here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Trash extends Actor
{
    /**
     * Constructs a new trash bin
     */
    public Trash()
    {
        GreenfootImage img = getImage();
        img.scale(img.getWidth() / 3, img.getHeight() / 3);
        Font f = new Font("Cambria", Font.BOLD, 20);
        img.setFont(f);
        img.setColor(new Color(200, 0, 100));
        img.drawString("Trash", (img.getWidth() / 2) - 25, img.getHeight() / 2);
    }
    
    /**
     * Checks if a frog shoud be thrown away
     */
    public void act()
    {
        Frog frog = (Frog)getOneIntersectingObject(Frog.class);
        if(frog != null && !frog.mousePressed)
        {
            throwAway(frog);
        }
    }
    
    /**
     * Throws away any actor
     */
    protected void throwAway(Actor a)
    {
        World w = getWorld();
        if(w != null)
        {
            w.removeObject(a);
        }
    }
}
